searchData={"items":[{"type":"module","title":"FMP","doc":"","ref":"FMP.html"},{"type":"function","title":"FMP.advanced_discounted_cash_flow/1","doc":"Fetches a company's advanced discounted cash flow TTM from the FMP API.","ref":"FMP.html#advanced_discounted_cash_flow/1"},{"type":"function","title":"Required - FMP.advanced_discounted_cash_flow/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#advanced_discounted_cash_flow/1-required"},{"type":"function","title":"FMP.advanced_levered_discounted_cash_flow/1","doc":"Fetches a company's advanced levered discounted cash flow from the FMP API.","ref":"FMP.html#advanced_levered_discounted_cash_flow/1"},{"type":"function","title":"Required - FMP.advanced_levered_discounted_cash_flow/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#advanced_levered_discounted_cash_flow/1-required"},{"type":"function","title":"FMP.analyst_estimates/2","doc":"Fetches a company's analyst estimates from the FMP API.","ref":"FMP.html#analyst_estimates/2"},{"type":"function","title":"Required - FMP.analyst_estimates/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#analyst_estimates/2-required"},{"type":"function","title":"Optional - FMP.analyst_estimates/2","doc":"* `limit` - The number of results to return.\n* `period` - The period of the analyst estimates.","ref":"FMP.html#analyst_estimates/2-optional"},{"type":"function","title":"FMP.balance_sheet_growth/2","doc":"Fetches a company's balance sheet growth from the FMP API.","ref":"FMP.html#balance_sheet_growth/2"},{"type":"function","title":"Required - FMP.balance_sheet_growth/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#balance_sheet_growth/2-required"},{"type":"function","title":"Optional - FMP.balance_sheet_growth/2","doc":"* `period` - The period of the balance sheet growths. Can be `quarter` or `annual`.\n* `limit` - The number of balance sheet growths to return.","ref":"FMP.html#balance_sheet_growth/2-optional"},{"type":"function","title":"FMP.balance_sheets/2","doc":"Fetches a company's balance sheets from the FMP API.","ref":"FMP.html#balance_sheets/2"},{"type":"function","title":"Required - FMP.balance_sheets/2","doc":"* `cik_or_symbol` - The CIK or symbol of the company.","ref":"FMP.html#balance_sheets/2-required"},{"type":"function","title":"Optional - FMP.balance_sheets/2","doc":"* `period` - The period of the balance sheets. Can be `quarter` or `annual`.\n* `limit` - The number of balance sheets to return.","ref":"FMP.html#balance_sheets/2-optional"},{"type":"function","title":"FMP.cash_flow_statement_growth/2","doc":"Fetches a company's cash flow statement growth from the FMP API.","ref":"FMP.html#cash_flow_statement_growth/2"},{"type":"function","title":"Required - FMP.cash_flow_statement_growth/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#cash_flow_statement_growth/2-required"},{"type":"function","title":"Optional - FMP.cash_flow_statement_growth/2","doc":"* `period` - The period of the cash flow statement growth. Can be `quarter` or `annual`.\n* `limit` - The number of cash flow statement growths to return.","ref":"FMP.html#cash_flow_statement_growth/2-optional"},{"type":"function","title":"FMP.cash_flow_statements/2","doc":"Fetches a company's cash flow statements from the FMP API.","ref":"FMP.html#cash_flow_statements/2"},{"type":"function","title":"Required - FMP.cash_flow_statements/2","doc":"* `cik_or_symbol` - The CIK or symbol of the company.","ref":"FMP.html#cash_flow_statements/2-required"},{"type":"function","title":"Optional - FMP.cash_flow_statements/2","doc":"* `period` - The period of the cash flow statements. Can be `quarter` or `annual`.\n* `limit` - The number of cash flow statements to return.","ref":"FMP.html#cash_flow_statements/2-optional"},{"type":"function","title":"FMP.chart_historical/2","doc":"Fetches a company's historical chart from the FMP API.","ref":"FMP.html#chart_historical/2"},{"type":"function","title":"Required - FMP.chart_historical/2","doc":"* `interval` - The interval to fetch historical data for.\n* `symbol` - The symbol of the company.","ref":"FMP.html#chart_historical/2-required"},{"type":"function","title":"FMP.chart_historical_full/2","doc":"Fetches historical chart with full data for the symbols from the FMP API.","ref":"FMP.html#chart_historical_full/2"},{"type":"function","title":"Required - FMP.chart_historical_full/2","doc":"* `symbols` - The symbols of the companies.","ref":"FMP.html#chart_historical_full/2-required"},{"type":"function","title":"Optional - FMP.chart_historical_full/2","doc":"* `from` - The start date of the historical data.\n* `to` - The end date of the historical data.\n* `serietype` - The type of series to fetch.","ref":"FMP.html#chart_historical_full/2-optional"},{"type":"function","title":"FMP.cik_list/0","doc":"Fetches the list of cik from the FMP API.","ref":"FMP.html#cik_list/0"},{"type":"function","title":"FMP.cik_mapper_company/1","doc":"Fetches ciks by symbol from the FMP API.","ref":"FMP.html#cik_mapper_company/1"},{"type":"function","title":"Required - FMP.cik_mapper_company/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#cik_mapper_company/1-required"},{"type":"function","title":"FMP.cik_mapper_name/1","doc":"Fetches ciks by name from the FMP API.","ref":"FMP.html#cik_mapper_name/1"},{"type":"function","title":"Optional - FMP.cik_mapper_name/1","doc":"* `name` - The name of the company.\n* `page` - The page number.","ref":"FMP.html#cik_mapper_name/1-optional"},{"type":"function","title":"FMP.cik_search/1","doc":"Searches for a cik by name from the FMP API.","ref":"FMP.html#cik_search/1"},{"type":"function","title":"Required - FMP.cik_search/1","doc":"* `name` - The name of the company.","ref":"FMP.html#cik_search/1-required"},{"type":"function","title":"FMP.commitment_of_traders_report/1","doc":"Fetches a commitment of traders report from a symbol from the FMP API.","ref":"FMP.html#commitment_of_traders_report/1"},{"type":"function","title":"Required - FMP.commitment_of_traders_report/1","doc":"* `symbol` - The symbol.","ref":"FMP.html#commitment_of_traders_report/1-required"},{"type":"function","title":"FMP.commitment_of_traders_report/2","doc":"Fetches a commitment of traders report from and to a date from the FMP API.","ref":"FMP.html#commitment_of_traders_report/2"},{"type":"function","title":"Required - FMP.commitment_of_traders_report/2","doc":"* `from` - The from date.\n* `to` - The to date.","ref":"FMP.html#commitment_of_traders_report/2-required"},{"type":"function","title":"FMP.commitment_of_traders_report_analysis/1","doc":"Fetches a commitment of traders report analysis from a symbol from the FMP API.","ref":"FMP.html#commitment_of_traders_report_analysis/1"},{"type":"function","title":"Required - FMP.commitment_of_traders_report_analysis/1","doc":"* `symbol` - The symbol.","ref":"FMP.html#commitment_of_traders_report_analysis/1-required"},{"type":"function","title":"FMP.commitment_of_traders_report_analysis/2","doc":"Fetches a commitment of traders report analysis from and to a date from the FMP API.","ref":"FMP.html#commitment_of_traders_report_analysis/2"},{"type":"function","title":"Required - FMP.commitment_of_traders_report_analysis/2","doc":"* `from` - The from date.\n* `to` - The to date.","ref":"FMP.html#commitment_of_traders_report_analysis/2-required"},{"type":"function","title":"FMP.commitment_of_traders_report_list/0","doc":"Fetches a list of commitment of traders report from the FMP API.","ref":"FMP.html#commitment_of_traders_report_list/0"},{"type":"function","title":"FMP.companies_delisted/1","doc":"Fetches a list of all delisted companies from the FMP API.","ref":"FMP.html#companies_delisted/1"},{"type":"function","title":"Optional - FMP.companies_delisted/1","doc":"* `:page` - The page number to fetch.","ref":"FMP.html#companies_delisted/1-optional"},{"type":"function","title":"FMP.companies_dow_jones/0","doc":"Fetches a list of companies in the Dow Jones from the FMP API.","ref":"FMP.html#companies_dow_jones/0"},{"type":"function","title":"FMP.companies_dow_jones_historical/0","doc":"Fetches the history of companies in the Dow Jones from the FMP API.","ref":"FMP.html#companies_dow_jones_historical/0"},{"type":"function","title":"FMP.companies_nasdaq/0","doc":"Fetches a list of companies in the NASDAQ from the FMP API.","ref":"FMP.html#companies_nasdaq/0"},{"type":"function","title":"FMP.companies_sp500/0","doc":"Fetches a list of companies in the S&P 500 from the FMP API.","ref":"FMP.html#companies_sp500/0"},{"type":"function","title":"FMP.companies_sp500_historical/0","doc":"Fetches the history of companies in the S&P 500 from the FMP API.","ref":"FMP.html#companies_sp500_historical/0"},{"type":"function","title":"FMP.company_by_cik/1","doc":"Fetches a company by cik from the FMP API.","ref":"FMP.html#company_by_cik/1"},{"type":"function","title":"Required - FMP.company_by_cik/1","doc":"* `cik` - The CIK of the company.","ref":"FMP.html#company_by_cik/1-required"},{"type":"function","title":"FMP.company_by_cusip/1","doc":"Fetches a company by cusip from the FMP API.","ref":"FMP.html#company_by_cusip/1"},{"type":"function","title":"Required - FMP.company_by_cusip/1","doc":"* `cusip` - The CUSIP of the company.","ref":"FMP.html#company_by_cusip/1-required"},{"type":"function","title":"FMP.company_core_information/1","doc":"Fetches a company's core information from the FMP API.","ref":"FMP.html#company_core_information/1"},{"type":"function","title":"Required - FMP.company_core_information/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#company_core_information/1-required"},{"type":"function","title":"FMP.company_notes/1","doc":"Fetches a list of company's notes from the FMP API.","ref":"FMP.html#company_notes/1"},{"type":"function","title":"Required - FMP.company_notes/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#company_notes/1-required"},{"type":"function","title":"FMP.company_outlook/1","doc":"Fetches a company's outlook from the FMP API.","ref":"FMP.html#company_outlook/1"},{"type":"function","title":"Required - FMP.company_outlook/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#company_outlook/1-required"},{"type":"function","title":"FMP.company_profile/1","doc":"Fetches a company profile from the FMP API.","ref":"FMP.html#company_profile/1"},{"type":"function","title":"Required - FMP.company_profile/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#company_profile/1-required"},{"type":"function","title":"FMP.crowdfunding_offerings/1","doc":"Fetches crowdfunding offerings from the FMP API.","ref":"FMP.html#crowdfunding_offerings/1"},{"type":"function","title":"Required - FMP.crowdfunding_offerings/1","doc":"* `cik` - The CIK of the company.","ref":"FMP.html#crowdfunding_offerings/1-required"},{"type":"function","title":"FMP.discounted_cash_flow/1","doc":"Fetches a company's discounted cash flow from the FMP API.","ref":"FMP.html#discounted_cash_flow/1"},{"type":"function","title":"Required - FMP.discounted_cash_flow/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#discounted_cash_flow/1-required"},{"type":"function","title":"FMP.discounted_cash_flow_historical/2","doc":"Fetches a company's historical discounted cash flow from the FMP API.","ref":"FMP.html#discounted_cash_flow_historical/2"},{"type":"function","title":"Required - FMP.discounted_cash_flow_historical/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#discounted_cash_flow_historical/2-required"},{"type":"function","title":"Optional - FMP.discounted_cash_flow_historical/2","doc":"* `period` - The period of the discounted cash flow. Can be `quarter` or `annual`.\n* `limit` - The number of discounted cash flows to return.","ref":"FMP.html#discounted_cash_flow_historical/2-optional"},{"type":"function","title":"FMP.discounted_cash_flow_historical_daily/2","doc":"Fetches a company's historical daily discounted cash flow from the FMP API.","ref":"FMP.html#discounted_cash_flow_historical_daily/2"},{"type":"function","title":"Required - FMP.discounted_cash_flow_historical_daily/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#discounted_cash_flow_historical_daily/2-required"},{"type":"function","title":"Optional - FMP.discounted_cash_flow_historical_daily/2","doc":"* `limit` - The number of discounted cash flows to return.","ref":"FMP.html#discounted_cash_flow_historical_daily/2-optional"},{"type":"function","title":"FMP.dividends_calendar/1","doc":"Fetches the dividend calendar from the FMP API.","ref":"FMP.html#dividends_calendar/1"},{"type":"function","title":"Optional - FMP.dividends_calendar/1","doc":"* `from` - The start date of the dividend calendar.\n* `to` - The end date of the dividend calendar.","ref":"FMP.html#dividends_calendar/1-optional"},{"type":"function","title":"FMP.dividends_historical/1","doc":"Fetches the historical dividend calendar for a given symbol from the FMP API.","ref":"FMP.html#dividends_historical/1"},{"type":"function","title":"Required - FMP.dividends_historical/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#dividends_historical/1-required"},{"type":"function","title":"FMP.earnings_calendar/1","doc":"Fetches the earnings calendar from the FMP API.","ref":"FMP.html#earnings_calendar/1"},{"type":"function","title":"Optional - FMP.earnings_calendar/1","doc":"* `from` - The start date of the earnings calendar.\n* `to` - The end date of the earnings calendar.","ref":"FMP.html#earnings_calendar/1-optional"},{"type":"function","title":"FMP.earnings_calendar_confirmed/1","doc":"Fetches the confirmed earnings calendar from the FMP API.","ref":"FMP.html#earnings_calendar_confirmed/1"},{"type":"function","title":"Optional - FMP.earnings_calendar_confirmed/1","doc":"* `from` - The start date of the earnings calendar.\n* `to` - The end date of the earnings calendar.","ref":"FMP.html#earnings_calendar_confirmed/1-optional"},{"type":"function","title":"FMP.earnings_calendar_historical/2","doc":"Fetches the historical earnings calendar for a given symbol from the FMP API.","ref":"FMP.html#earnings_calendar_historical/2"},{"type":"function","title":"Required - FMP.earnings_calendar_historical/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#earnings_calendar_historical/2-required"},{"type":"function","title":"Optional - FMP.earnings_calendar_historical/2","doc":"* `from` - The start date of the earnings calendar.\n* `to` - The end date of the earnings calendar.","ref":"FMP.html#earnings_calendar_historical/2-optional"},{"type":"function","title":"FMP.earnings_call_transcript/1","doc":"Fetches a list of a company's earnings call transcripts from the FMP API.","ref":"FMP.html#earnings_call_transcript/1"},{"type":"function","title":"Required - FMP.earnings_call_transcript/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#earnings_call_transcript/1-required"},{"type":"function","title":"FMP.earnings_call_transcript/2","doc":"Fetches the earnings call transcripts for a company for a given year.","ref":"FMP.html#earnings_call_transcript/2"},{"type":"function","title":"Required - FMP.earnings_call_transcript/2","doc":"* `symbol` - The symbol of the company.\n* `year` - The year of the earnings call transcript.","ref":"FMP.html#earnings_call_transcript/2-required"},{"type":"function","title":"FMP.earnings_call_transcript/3","doc":"Fetches the earnings call transcripts for a company for a given year and quarter.","ref":"FMP.html#earnings_call_transcript/3"},{"type":"function","title":"Required - FMP.earnings_call_transcript/3","doc":"* `symbol` - The symbol of the company.\n* `year` - The year of the earnings call transcript.\n* `quarter` - The quarter of the earnings call transcript.","ref":"FMP.html#earnings_call_transcript/3-required"},{"type":"function","title":"FMP.earnings_surprises/1","doc":"Fetches a company's earnings surprises from the FMP API.","ref":"FMP.html#earnings_surprises/1"},{"type":"function","title":"Required - FMP.earnings_surprises/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#earnings_surprises/1-required"},{"type":"function","title":"FMP.ecomonic_indicators/2","doc":"Fetches economic indicators from the FMP API.","ref":"FMP.html#ecomonic_indicators/2"},{"type":"function","title":"Required - FMP.ecomonic_indicators/2","doc":"* `name` - The name of the economic indicator.","ref":"FMP.html#ecomonic_indicators/2-required"},{"type":"function","title":"Optional - FMP.ecomonic_indicators/2","doc":"* `from` - The start date of the economic indicator.\n* `to` - The end date of the economic indicator.","ref":"FMP.html#ecomonic_indicators/2-optional"},{"type":"function","title":"FMP.economic_calendar/1","doc":"Fetches the economoic calendar from the FMP API.","ref":"FMP.html#economic_calendar/1"},{"type":"function","title":"Optional - FMP.economic_calendar/1","doc":"* `from` - The start date of the economic calendar.\n* `to` - The end date of the economic calendar.","ref":"FMP.html#economic_calendar/1-optional"},{"type":"function","title":"FMP.employee_count_historical/1","doc":"Fetches a company's historical employee count from the FMP API.","ref":"FMP.html#employee_count_historical/1"},{"type":"function","title":"Required - FMP.employee_count_historical/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#employee_count_historical/1-required"},{"type":"function","title":"FMP.enterprise_value/2","doc":"Fetches a company's enterprise value from the FMP API.","ref":"FMP.html#enterprise_value/2"},{"type":"function","title":"Required - FMP.enterprise_value/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#enterprise_value/2-required"},{"type":"function","title":"Optional - FMP.enterprise_value/2","doc":"* `period` - The period of the enterprise value. Can be `quarter` or `annual`.\n* `limit` - The number of enterprise values to return.","ref":"FMP.html#enterprise_value/2-optional"},{"type":"function","title":"FMP.esg_risk_ratings/1","doc":"Fetches a company's ESG risk rating from the FMP API.","ref":"FMP.html#esg_risk_ratings/1"},{"type":"function","title":"Required - FMP.esg_risk_ratings/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#esg_risk_ratings/1-required"},{"type":"function","title":"FMP.esg_scores/1","doc":"Fetches a company's ESG score from the FMP API.","ref":"FMP.html#esg_scores/1"},{"type":"function","title":"Required - FMP.esg_scores/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#esg_scores/1-required"},{"type":"function","title":"FMP.esg_sector_benchmarks/1","doc":"Fetches a sector ESG score benchmarks from the FMP API.","ref":"FMP.html#esg_sector_benchmarks/1"},{"type":"function","title":"Required - FMP.esg_sector_benchmarks/1","doc":"* `year` - The year of the ESG score benchmarks.","ref":"FMP.html#esg_sector_benchmarks/1-required"},{"type":"function","title":"FMP.etf/1","doc":"Fetches information about an ETF from the FMP API.","ref":"FMP.html#etf/1"},{"type":"function","title":"Required - FMP.etf/1","doc":"* `symbol` - The symbol of the ETF.","ref":"FMP.html#etf/1-required"},{"type":"function","title":"FMP.etf_country_weightings/1","doc":"Fetches the country weightings of an ETF from the FMP API.","ref":"FMP.html#etf_country_weightings/1"},{"type":"function","title":"Required - FMP.etf_country_weightings/1","doc":"* `symbol` - The symbol of the ETF.","ref":"FMP.html#etf_country_weightings/1-required"},{"type":"function","title":"FMP.etf_holdings/1","doc":"Fetches the holdings of an ETF from the FMP API.","ref":"FMP.html#etf_holdings/1"},{"type":"function","title":"Required - FMP.etf_holdings/1","doc":"* `symbol` - The symbol of the ETF.","ref":"FMP.html#etf_holdings/1-required"},{"type":"function","title":"FMP.etf_holdings_historical/1","doc":"Fetches the historical holdings of an ETF from the FMP API.","ref":"FMP.html#etf_holdings_historical/1"},{"type":"function","title":"Optional - FMP.etf_holdings_historical/1","doc":"* `symbol` - The symbol of the ETF.\n* `ciK` - The CIK of the ETF.\n* `date` - The date of the holdings.","ref":"FMP.html#etf_holdings_historical/1-optional"},{"type":"function","title":"FMP.etf_portfolio_dates/1","doc":"Fetches the portfolio dates of an ETF from the FMP API.","ref":"FMP.html#etf_portfolio_dates/1"},{"type":"function","title":"Optional - FMP.etf_portfolio_dates/1","doc":"* `symbol` - The symbol of the ETF.\n* `cik` - The CIK of the ETF.","ref":"FMP.html#etf_portfolio_dates/1-optional"},{"type":"function","title":"FMP.etf_sector_weightings/1","doc":"Fetches the sector weightings of an ETF from the FMP API.","ref":"FMP.html#etf_sector_weightings/1"},{"type":"function","title":"Required - FMP.etf_sector_weightings/1","doc":"* `symbol` - The symbol of the ETF.","ref":"FMP.html#etf_sector_weightings/1-required"},{"type":"function","title":"FMP.etf_stock_exposure/1","doc":"Fetches the stock exposure of an ETF from the FMP API.","ref":"FMP.html#etf_stock_exposure/1"},{"type":"function","title":"Required - FMP.etf_stock_exposure/1","doc":"* `symbol` - The symbol of the ETF.","ref":"FMP.html#etf_stock_exposure/1-required"},{"type":"function","title":"FMP.etfs/0","doc":"Fetches the symbols of all ETFs from the FMP API.","ref":"FMP.html#etfs/0"},{"type":"function","title":"FMP.exchange_rates/1","doc":"Fetches a FOREX exchange rates for a pair from the FMP API.","ref":"FMP.html#exchange_rates/1"},{"type":"function","title":"Required - FMP.exchange_rates/1","doc":"* `pair` - The pair of currencies.","ref":"FMP.html#exchange_rates/1-required"},{"type":"function","title":"FMP.executive_compensation/1","doc":"Fetches a company's executive compensation from the FMP API.","ref":"FMP.html#executive_compensation/1"},{"type":"function","title":"Required - FMP.executive_compensation/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#executive_compensation/1-required"},{"type":"function","title":"FMP.executive_compensation_benchmark/1","doc":"Fetches the executive compensation benchmark for a year from the FMP API.","ref":"FMP.html#executive_compensation_benchmark/1"},{"type":"function","title":"Required - FMP.executive_compensation_benchmark/1","doc":"* `year` - The year to fetch the benchmark for.","ref":"FMP.html#executive_compensation_benchmark/1-required"},{"type":"function","title":"FMP.financial_growth/2","doc":"Fetches a company's financial growth from the FMP API.","ref":"FMP.html#financial_growth/2"},{"type":"function","title":"Required - FMP.financial_growth/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#financial_growth/2-required"},{"type":"function","title":"Optional - FMP.financial_growth/2","doc":"* `period` - The period of the financial growth. Can be `quarter` or `annual`.\n* `limit` - The number of financial growths to return.","ref":"FMP.html#financial_growth/2-optional"},{"type":"function","title":"FMP.financial_ratios/2","doc":"Fetches a company's financial ratios from the FMP API.","ref":"FMP.html#financial_ratios/2"},{"type":"function","title":"Required - FMP.financial_ratios/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#financial_ratios/2-required"},{"type":"function","title":"Optional - FMP.financial_ratios/2","doc":"* `period` - The period of the financial ratios. Can be `quarter` or `annual`.\n* `limit` - The number of financial ratios to return.","ref":"FMP.html#financial_ratios/2-optional"},{"type":"function","title":"FMP.financial_reports_dates/1","doc":"Fetches a company's financial reports dates from the FMP API.","ref":"FMP.html#financial_reports_dates/1"},{"type":"function","title":"Required - FMP.financial_reports_dates/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#financial_reports_dates/1-required"},{"type":"function","title":"FMP.financial_scores/1","doc":"Fetches a company's financial scores from the FMP API.","ref":"FMP.html#financial_scores/1"},{"type":"function","title":"Required - FMP.financial_scores/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#financial_scores/1-required"},{"type":"function","title":"FMP.fmp_articles/1","doc":"Fetches the list of FMP articles from the FMP API.","ref":"FMP.html#fmp_articles/1"},{"type":"function","title":"Optional - FMP.fmp_articles/1","doc":"* `page` - The page number.\n* `size` - The size of the pages.","ref":"FMP.html#fmp_articles/1-optional"},{"type":"function","title":"FMP.forex/0","doc":"Fetches a FOREX prices from the FMP API.","ref":"FMP.html#forex/0"},{"type":"function","title":"FMP.forex_quotes/0","doc":"Fetches all of the FOREX quotes from the FMP API.","ref":"FMP.html#forex_quotes/0"},{"type":"function","title":"FMP.form_13f/2","doc":"Fetches form 13F for a given CIK from the FMP API.","ref":"FMP.html#form_13f/2"},{"type":"function","title":"Required - FMP.form_13f/2","doc":"* `cik` - The CIK of the company.\n* `date` - The date of the form 13F.","ref":"FMP.html#form_13f/2-required"},{"type":"function","title":"FMP.form_13f_asset_allocation_dates/0","doc":"Fetches form 13F allocation dates from the FMP API.","ref":"FMP.html#form_13f_asset_allocation_dates/0"},{"type":"function","title":"FMP.form_13f_asset_allocations/1","doc":"Fetches form 13F asset allocations for a given date from the FMP API.","ref":"FMP.html#form_13f_asset_allocations/1"},{"type":"function","title":"Required - FMP.form_13f_asset_allocations/1","doc":"* `date` - The date of the form 13F asset allocation.","ref":"FMP.html#form_13f_asset_allocations/1-required"},{"type":"function","title":"FMP.form_13f_filing_dates/1","doc":"Fetches form 13F filing dates for a given CIK from the FMP API.","ref":"FMP.html#form_13f_filing_dates/1"},{"type":"function","title":"Required - FMP.form_13f_filing_dates/1","doc":"* `cik` - The CIK of the company.","ref":"FMP.html#form_13f_filing_dates/1-required"},{"type":"function","title":"FMP.fundraising/1","doc":"Fetches fundraising from the FMP API.","ref":"FMP.html#fundraising/1"},{"type":"function","title":"Required - FMP.fundraising/1","doc":"* `cik` - The CIK of the company.","ref":"FMP.html#fundraising/1-required"},{"type":"function","title":"FMP.geographic_segmentation/1","doc":"Fetches a company's revenue geographic segmentation from the FMP API.","ref":"FMP.html#geographic_segmentation/1"},{"type":"function","title":"Required - FMP.geographic_segmentation/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#geographic_segmentation/1-required"},{"type":"function","title":"FMP.income_statement_growth/2","doc":"Fetches a company's income statement growth from the FMP API.","ref":"FMP.html#income_statement_growth/2"},{"type":"function","title":"Required - FMP.income_statement_growth/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#income_statement_growth/2-required"},{"type":"function","title":"Optional - FMP.income_statement_growth/2","doc":"* `period` - The period of the income statement growth. Can be `quarter` or `annual`.\n* `limit` - The number of income statement growths to return.","ref":"FMP.html#income_statement_growth/2-optional"},{"type":"function","title":"FMP.income_statements/2","doc":"Fetches a company's income statements from the FMP API.","ref":"FMP.html#income_statements/2"},{"type":"function","title":"Required - FMP.income_statements/2","doc":"* `cik_or_symbol` - The CIK or symbol of the company.","ref":"FMP.html#income_statements/2-required"},{"type":"function","title":"Optional - FMP.income_statements/2","doc":"* `period` - The period of the income statements. Can be `quarter` or `annual`.\n* `limit` - The number of income statements to return.","ref":"FMP.html#income_statements/2-optional"},{"type":"function","title":"FMP.insider_ownership_acquisition/1","doc":"Fetches a company's institutional ownership from the FMP API.","ref":"FMP.html#insider_ownership_acquisition/1"},{"type":"function","title":"Required - FMP.insider_ownership_acquisition/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#insider_ownership_acquisition/1-required"},{"type":"function","title":"FMP.insider_roster/1","doc":"Fetches a company's insider roster from the FMP API.","ref":"FMP.html#insider_roster/1"},{"type":"function","title":"Required - FMP.insider_roster/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#insider_roster/1-required"},{"type":"function","title":"FMP.insider_roster_statistics/1","doc":"Fetches a company's insider roster statistics from the FMP API.","ref":"FMP.html#insider_roster_statistics/1"},{"type":"function","title":"Required - FMP.insider_roster_statistics/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#insider_roster_statistics/1-required"},{"type":"function","title":"FMP.insider_trading/1","doc":"Fetches insider trading transactions from the FMP API.","ref":"FMP.html#insider_trading/1"},{"type":"function","title":"Optional - FMP.insider_trading/1","doc":"* `symbol` - The symbol of the stock.\n* `companyCik` - The CIK of the company.\n* `reportingCik` - The CIK of the reporting institution.\n* `transactionType` - The type of transaction.\n* `page` - The page number of the results.","ref":"FMP.html#insider_trading/1-optional"},{"type":"function","title":"FMP.insider_trading_transactions_type/0","doc":"Fetches insider trading transactions types from the FMP API.","ref":"FMP.html#insider_trading_transactions_type/0"},{"type":"function","title":"FMP.institution_industry_summary/3","doc":"Fetches a institution's portfolio industry summary from the FMP API.","ref":"FMP.html#institution_industry_summary/3"},{"type":"function","title":"Required - FMP.institution_industry_summary/3","doc":"* `cik` - The CIK of the institution.\n* `date` - The date of the portfolio holdings.","ref":"FMP.html#institution_industry_summary/3-required"},{"type":"function","title":"Optional - FMP.institution_industry_summary/3","doc":"* `page` - The page number of the results.","ref":"FMP.html#institution_industry_summary/3-optional"},{"type":"function","title":"FMP.institution_portfolio_dates/1","doc":"Fetches a institution's portfolio dates from the FMP API.","ref":"FMP.html#institution_portfolio_dates/1"},{"type":"function","title":"Required - FMP.institution_portfolio_dates/1","doc":"* `cik` - The CIK of the institution.","ref":"FMP.html#institution_portfolio_dates/1-required"},{"type":"function","title":"FMP.institution_portfolio_holdings/2","doc":"Fetches a institution's portfolio holdings from the FMP API.","ref":"FMP.html#institution_portfolio_holdings/2"},{"type":"function","title":"Required - FMP.institution_portfolio_holdings/2","doc":"* `cik` - The CIK of the institution.","ref":"FMP.html#institution_portfolio_holdings/2-required"},{"type":"function","title":"Optional - FMP.institution_portfolio_holdings/2","doc":"* `date` - The date of the portfolio holdings.\n* `page` - The page number of the results.","ref":"FMP.html#institution_portfolio_holdings/2-optional"},{"type":"function","title":"FMP.institution_portfolio_summary/1","doc":"Fetches a institution's portfolio summary from the FMP API.","ref":"FMP.html#institution_portfolio_summary/1"},{"type":"function","title":"Required - FMP.institution_portfolio_summary/1","doc":"* `cik` - The CIK of the institution.","ref":"FMP.html#institution_portfolio_summary/1-required"},{"type":"function","title":"FMP.institutional_holders/1","doc":"Fetches a company's institutional holders from the FMP API.","ref":"FMP.html#institutional_holders/1"},{"type":"function","title":"Required - FMP.institutional_holders/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#institutional_holders/1-required"},{"type":"function","title":"FMP.institutional_ownership/1","doc":"Fetches a company's institutional ownership from the FMP API.","ref":"FMP.html#institutional_ownership/1"},{"type":"function","title":"Required - FMP.institutional_ownership/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#institutional_ownership/1-required"},{"type":"function","title":"FMP.institutional_ownership_by_shares_held/2","doc":"Fetches a company's institutional ownership by shares held from the FMP API.","ref":"FMP.html#institutional_ownership_by_shares_held/2"},{"type":"function","title":"Required - FMP.institutional_ownership_by_shares_held/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#institutional_ownership_by_shares_held/2-required"},{"type":"function","title":"Optional - FMP.institutional_ownership_by_shares_held/2","doc":"* `date` - The date of the institutional ownership percentage.\n* `page` - The page number of the results.","ref":"FMP.html#institutional_ownership_by_shares_held/2-optional"},{"type":"function","title":"FMP.institutional_ownership_percentage/2","doc":"Fetches a company's institutional ownership percentage from the FMP API.","ref":"FMP.html#institutional_ownership_percentage/2"},{"type":"function","title":"Required - FMP.institutional_ownership_percentage/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#institutional_ownership_percentage/2-required"},{"type":"function","title":"Optional - FMP.institutional_ownership_percentage/2","doc":"* `date` - The date of the institutional ownership percentage.\n* `page` - The page number of the results.","ref":"FMP.html#institutional_ownership_percentage/2-optional"},{"type":"function","title":"FMP.ipo_calendar/1","doc":"Fetches the IPO calendar from the FMP API.","ref":"FMP.html#ipo_calendar/1"},{"type":"function","title":"Optional - FMP.ipo_calendar/1","doc":"* `from` - The start date of the IPO calendar.\n* `to` - The end date of the IPO calendar.","ref":"FMP.html#ipo_calendar/1-optional"},{"type":"function","title":"FMP.ipo_calendar_confirmed/1","doc":"Fetches the confirmed IPO calendar from the FMP API.","ref":"FMP.html#ipo_calendar_confirmed/1"},{"type":"function","title":"Optional - FMP.ipo_calendar_confirmed/1","doc":"* `from` - The start date of the IPO calendar.\n* `to` - The end date of the IPO calendar.","ref":"FMP.html#ipo_calendar_confirmed/1-optional"},{"type":"function","title":"FMP.ipo_calendar_prospectus/1","doc":"Fetches the IPO calendar prospectus from the FMP API.","ref":"FMP.html#ipo_calendar_prospectus/1"},{"type":"function","title":"Optional - FMP.ipo_calendar_prospectus/1","doc":"* `from` - The start date of the IPO calendar.\n* `to` - The end date of the IPO calendar.","ref":"FMP.html#ipo_calendar_prospectus/1-optional"},{"type":"function","title":"FMP.key_executives/1","doc":"Fetches a company's key executives from the FMP API.","ref":"FMP.html#key_executives/1"},{"type":"function","title":"Required - FMP.key_executives/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#key_executives/1-required"},{"type":"function","title":"FMP.key_metrics/2","doc":"Fetches a company's key metrics from the FMP API.","ref":"FMP.html#key_metrics/2"},{"type":"function","title":"Required - FMP.key_metrics/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#key_metrics/2-required"},{"type":"function","title":"Optional - FMP.key_metrics/2","doc":"* `period` - The period of the key metrics. Can be `quarter` or `annual`.\n* `limit` - The number of key metrics to return.","ref":"FMP.html#key_metrics/2-optional"},{"type":"function","title":"FMP.key_metrics_ttm/2","doc":"Fetches a company's key metrics TTM from the FMP API.","ref":"FMP.html#key_metrics_ttm/2"},{"type":"function","title":"Required - FMP.key_metrics_ttm/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#key_metrics_ttm/2-required"},{"type":"function","title":"Optional - FMP.key_metrics_ttm/2","doc":"* `period` - The period of the key metrics. Can be `quarter` or `annual`.\n* `limit` - The number of key metrics to return.","ref":"FMP.html#key_metrics_ttm/2-optional"},{"type":"function","title":"FMP.market_cap/1","doc":"Fetches a company's market capitalization from the FMP API.","ref":"FMP.html#market_cap/1"},{"type":"function","title":"Required - FMP.market_cap/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#market_cap/1-required"},{"type":"function","title":"FMP.market_cap_historical/2","doc":"Fetches a company's historical market capitalization from the FMP API.","ref":"FMP.html#market_cap_historical/2"},{"type":"function","title":"Required - FMP.market_cap_historical/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#market_cap_historical/2-required"},{"type":"function","title":"Optional - FMP.market_cap_historical/2","doc":"* `limit` - The number of results to return.","ref":"FMP.html#market_cap_historical/2-optional"},{"type":"function","title":"FMP.market_risk_preminum/0","doc":"Fetches market risk premiums for each country from the FMP API.","ref":"FMP.html#market_risk_preminum/0"},{"type":"function","title":"FMP.mutual_fund/1","doc":"Fetches mutual funds by name from the FMP API.","ref":"FMP.html#mutual_fund/1"},{"type":"function","title":"Required - FMP.mutual_fund/1","doc":"* `name` - The name of the mutual fund.","ref":"FMP.html#mutual_fund/1-required"},{"type":"function","title":"FMP.mutual_fund_holders/1","doc":"Fetches a company's mutual fund holders from the FMP API.","ref":"FMP.html#mutual_fund_holders/1"},{"type":"function","title":"Required - FMP.mutual_fund_holders/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#mutual_fund_holders/1-required"},{"type":"function","title":"FMP.mutual_fund_portfolio_dates/1","doc":"Fetches mutual funds portfolio dates from the FMP API.","ref":"FMP.html#mutual_fund_portfolio_dates/1"},{"type":"function","title":"Optional - FMP.mutual_fund_portfolio_dates/1","doc":"* `symbol` - The symbol of the mutual fund.\n* `cik` - The CIK of the mutual fund.","ref":"FMP.html#mutual_fund_portfolio_dates/1-optional"},{"type":"function","title":"FMP.mutual_fund_portfolio_holdings/1","doc":"Fetches mutual funds holdings from the FMP API.","ref":"FMP.html#mutual_fund_portfolio_holdings/1"},{"type":"function","title":"Optional - FMP.mutual_fund_portfolio_holdings/1","doc":"* `symbol` - The symbol of the mutual fund.\n* `cik` - The CIK of the mutual fund.\n* `date` - The date of the mutual fund.","ref":"FMP.html#mutual_fund_portfolio_holdings/1-optional"},{"type":"function","title":"FMP.news_crypto/1","doc":"Fetches the list of crypto news from the FMP API.","ref":"FMP.html#news_crypto/1"},{"type":"function","title":"Optional - FMP.news_crypto/1","doc":"* `symbol` - The symbol of the crypto.\n* `page` - The page number.","ref":"FMP.html#news_crypto/1-optional"},{"type":"function","title":"FMP.news_forex/1","doc":"Fetches the list of forex news from the FMP API.","ref":"FMP.html#news_forex/1"},{"type":"function","title":"Optional - FMP.news_forex/1","doc":"* `symbol` - The symbol of the crypto.\n* `page` - The page number.","ref":"FMP.html#news_forex/1-optional"},{"type":"function","title":"FMP.news_general/1","doc":"Fetches the list of general news from the FMP API.","ref":"FMP.html#news_general/1"},{"type":"function","title":"Required - FMP.news_general/1","doc":"* `page` - The page number.","ref":"FMP.html#news_general/1-required"},{"type":"function","title":"FMP.news_stock/1","doc":"Fetches the list of stock news from the FMP API.","ref":"FMP.html#news_stock/1"},{"type":"function","title":"Optional - FMP.news_stock/1","doc":"* `tickers` - The list of tickers.\n* `limit` - The number of news to return.\n* `page` - The page number.","ref":"FMP.html#news_stock/1-optional"},{"type":"function","title":"FMP.otc_prices/1","doc":"Fetches a OTC prices from the FMP API.","ref":"FMP.html#otc_prices/1"},{"type":"function","title":"Required - FMP.otc_prices/1","doc":"* `symbols` - The symbols of the companies.","ref":"FMP.html#otc_prices/1-required"},{"type":"function","title":"FMP.pe_ratios_industries/2","doc":"Fetches industries PE ratios for a given date from the FMP API.","ref":"FMP.html#pe_ratios_industries/2"},{"type":"function","title":"Required - FMP.pe_ratios_industries/2","doc":"* `date` - The date of the PE ratios.","ref":"FMP.html#pe_ratios_industries/2-required"},{"type":"function","title":"Optional - FMP.pe_ratios_industries/2","doc":"* `exchange` - The exchange of the PE ratios.","ref":"FMP.html#pe_ratios_industries/2-optional"},{"type":"function","title":"FMP.pe_ratios_sectors/2","doc":"Fetches sectors PE ratios for a given date from the FMP API.","ref":"FMP.html#pe_ratios_sectors/2"},{"type":"function","title":"Required - FMP.pe_ratios_sectors/2","doc":"* `date` - The date of the PE ratios.","ref":"FMP.html#pe_ratios_sectors/2-required"},{"type":"function","title":"Optional - FMP.pe_ratios_sectors/2","doc":"* `exchange` - The exchange of the PE ratios.","ref":"FMP.html#pe_ratios_sectors/2-optional"},{"type":"function","title":"FMP.peers/1","doc":"Fetches a company's peers from the FMP API.","ref":"FMP.html#peers/1"},{"type":"function","title":"Required - FMP.peers/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#peers/1-required"},{"type":"function","title":"FMP.press_releases/2","doc":"Fetches the list of press releases from the FMP API.","ref":"FMP.html#press_releases/2"},{"type":"function","title":"Required - FMP.press_releases/2","doc":"* `symbol` - The symbol of the company.\n* `page` - The page number.","ref":"FMP.html#press_releases/2-required"},{"type":"function","title":"FMP.price_change/1","doc":"Fetches price changes from the FMP API.","ref":"FMP.html#price_change/1"},{"type":"function","title":"Required - FMP.price_change/1","doc":"* `symbols` - The symbols of the companies.","ref":"FMP.html#price_change/1-required"},{"type":"function","title":"FMP.price_target_summary/1","doc":"Fetches a company's price target summary from the FMP API.","ref":"FMP.html#price_target_summary/1"},{"type":"function","title":"Required - FMP.price_target_summary/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#price_target_summary/1-required"},{"type":"function","title":"FMP.price_targets/1","doc":"Fetches a company's price targets from the FMP API.","ref":"FMP.html#price_targets/1"},{"type":"function","title":"Required - FMP.price_targets/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#price_targets/1-required"},{"type":"function","title":"FMP.price_targets_by_analyst/1","doc":"Fetches a list of price targets by an analyst from the FMP API.","ref":"FMP.html#price_targets_by_analyst/1"},{"type":"function","title":"Required - FMP.price_targets_by_analyst/1","doc":"* `analyst_name` - The name of the analyst.","ref":"FMP.html#price_targets_by_analyst/1-required"},{"type":"function","title":"FMP.price_targets_by_analyst_company/1","doc":"Fetches a list of price targets by an analyst company from the FMP API.","ref":"FMP.html#price_targets_by_analyst_company/1"},{"type":"function","title":"Required - FMP.price_targets_by_analyst_company/1","doc":"* `company` - The name of the analyst company.","ref":"FMP.html#price_targets_by_analyst_company/1-required"},{"type":"function","title":"FMP.price_targets_consenus/1","doc":"Fetches a company's price targets consensus from the FMP API.","ref":"FMP.html#price_targets_consenus/1"},{"type":"function","title":"Required - FMP.price_targets_consenus/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#price_targets_consenus/1-required"},{"type":"function","title":"FMP.product_segmentation/1","doc":"Fetches a company's revenue product segmentation from the FMP API.","ref":"FMP.html#product_segmentation/1"},{"type":"function","title":"Required - FMP.product_segmentation/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#product_segmentation/1-required"},{"type":"function","title":"FMP.quote/1","doc":"Fetches quotes from the FMP API.","ref":"FMP.html#quote/1"},{"type":"function","title":"Required - FMP.quote/1","doc":"* `symbols` - The symbols of the companies.","ref":"FMP.html#quote/1-required"},{"type":"function","title":"FMP.quote_short/1","doc":"Fetches short quotes from the FMP API.","ref":"FMP.html#quote_short/1"},{"type":"function","title":"Required - FMP.quote_short/1","doc":"* `symbols` - The symbols of the companies.","ref":"FMP.html#quote_short/1-required"},{"type":"function","title":"FMP.quotes/1","doc":"Fetches quotes for an exchange from the FMP API.","ref":"FMP.html#quotes/1"},{"type":"function","title":"Required - FMP.quotes/1","doc":"* `exchange` - The exchange to fetch quotes for.","ref":"FMP.html#quotes/1-required"},{"type":"function","title":"FMP.rating/1","doc":"Fetches a company's rating from the FMP API.","ref":"FMP.html#rating/1"},{"type":"function","title":"Required - FMP.rating/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#rating/1-required"},{"type":"function","title":"FMP.rating_historical/2","doc":"Fetches a company's historical rating from the FMP API.","ref":"FMP.html#rating_historical/2"},{"type":"function","title":"Required - FMP.rating_historical/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#rating_historical/2-required"},{"type":"function","title":"Optional - FMP.rating_historical/2","doc":"* `limit` - The number of results to return.","ref":"FMP.html#rating_historical/2-optional"},{"type":"function","title":"FMP.rss_feed/1","doc":"Fetches the SEC rss feed from the FMP API.","ref":"FMP.html#rss_feed/1"},{"type":"function","title":"Required - FMP.rss_feed/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed/1-required"},{"type":"function","title":"FMP.rss_feed_crowdfunding_offerings/1","doc":"Fetches the crowdfunding offerings rss feed from the FMP API.","ref":"FMP.html#rss_feed_crowdfunding_offerings/1"},{"type":"function","title":"Required - FMP.rss_feed_crowdfunding_offerings/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_crowdfunding_offerings/1-required"},{"type":"function","title":"FMP.rss_feed_fundraising/1","doc":"Fetches the fundraising rss feed from the FMP API.","ref":"FMP.html#rss_feed_fundraising/1"},{"type":"function","title":"Required - FMP.rss_feed_fundraising/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_fundraising/1-required"},{"type":"function","title":"FMP.rss_feed_insider_trading/1","doc":"Fetches the insider trading rss feed from the FMP API.","ref":"FMP.html#rss_feed_insider_trading/1"},{"type":"function","title":"Required - FMP.rss_feed_insider_trading/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_insider_trading/1-required"},{"type":"function","title":"FMP.rss_feed_institutional_ownership/1","doc":"Fetches the institutional ownership rss feed from the FMP API.","ref":"FMP.html#rss_feed_institutional_ownership/1"},{"type":"function","title":"Required - FMP.rss_feed_institutional_ownership/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_institutional_ownership/1-required"},{"type":"function","title":"FMP.rss_feed_mergers_and_acquisitions/1","doc":"Fetches the mergers and acquisitions rss feed from the FMP API.","ref":"FMP.html#rss_feed_mergers_and_acquisitions/1"},{"type":"function","title":"Required - FMP.rss_feed_mergers_and_acquisitions/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_mergers_and_acquisitions/1-required"},{"type":"function","title":"FMP.rss_feed_price_targets/1","doc":"Fetches the price targets rss feed from the FMP API.","ref":"FMP.html#rss_feed_price_targets/1"},{"type":"function","title":"Required - FMP.rss_feed_price_targets/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_price_targets/1-required"},{"type":"function","title":"FMP.rss_feed_senate_disclosures/1","doc":"Fetches the senate disclosures rss feed from the FMP API.","ref":"FMP.html#rss_feed_senate_disclosures/1"},{"type":"function","title":"Required - FMP.rss_feed_senate_disclosures/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_senate_disclosures/1-required"},{"type":"function","title":"FMP.rss_feed_senate_trading/1","doc":"Fetches the senate trading rss feed from the FMP API.","ref":"FMP.html#rss_feed_senate_trading/1"},{"type":"function","title":"Required - FMP.rss_feed_senate_trading/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_senate_trading/1-required"},{"type":"function","title":"FMP.rss_feed_stock_news_sentiment/1","doc":"Fetches the stock news sentiment rss feed from the FMP API.","ref":"FMP.html#rss_feed_stock_news_sentiment/1"},{"type":"function","title":"Required - FMP.rss_feed_stock_news_sentiment/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_stock_news_sentiment/1-required"},{"type":"function","title":"FMP.rss_feed_upgrades_and_downgrades/1","doc":"Fetches the upgrades and downgrades rss feed from the FMP API.","ref":"FMP.html#rss_feed_upgrades_and_downgrades/1"},{"type":"function","title":"Required - FMP.rss_feed_upgrades_and_downgrades/1","doc":"* `page` - The page number.","ref":"FMP.html#rss_feed_upgrades_and_downgrades/1-required"},{"type":"function","title":"FMP.screener/1","doc":"Screen stocks from the FMP API.","ref":"FMP.html#screener/1"},{"type":"function","title":"Optional - FMP.screener/1","doc":"* `marketCapMoreThan` - The market cap to screen for.\n* `marketCapLowerThan` - The market cap to screen for.\n* `priceMoreThan` - The price to screen for.\n* `priceLowerThan` - The price to screen for.\n* `volumeMoreThan` - The volume to screen for.\n* `volumeLowerThan` - The volume to screen for.\n* `betaMoreThan` - The beta to screen for.\n* `betaLowerThan` - The beta to screen for.\n* `dividendMoreThan` - The dividend to screen for.\n* `dividendLowerThan` - The dividend to screen for.\n* `isEtf` - Whether or not to screen for ETFs.\n* `sector` - The sector to screen for.\n* `industry` - The industry to screen for.\n* `exchange` - The exchange to screen for.\n* `country` - The country to screen for.\n* `limit` - The number of results to return.","ref":"FMP.html#screener/1-optional"},{"type":"function","title":"FMP.search/2","doc":"Search via ticker and company name from the FMP API.","ref":"FMP.html#search/2"},{"type":"function","title":"Required - FMP.search/2","doc":"* `query` - The query to search for.","ref":"FMP.html#search/2-required"},{"type":"function","title":"Optional - FMP.search/2","doc":"* `limit` - The number of results to return.\n* `exchange` - The exchange to search in.","ref":"FMP.html#search/2-optional"},{"type":"function","title":"FMP.search_crowdfunding_offerings/1","doc":"Search for crowdfunding offerings from the FMP API.","ref":"FMP.html#search_crowdfunding_offerings/1"},{"type":"function","title":"Required - FMP.search_crowdfunding_offerings/1","doc":"* `name` - The name of the crowdfunding offering to search for.","ref":"FMP.html#search_crowdfunding_offerings/1-required"},{"type":"function","title":"FMP.search_fundraising/1","doc":"Search for fundraising from the FMP API.","ref":"FMP.html#search_fundraising/1"},{"type":"function","title":"Required - FMP.search_fundraising/1","doc":"* `name` - The name of the fundraising to search for.","ref":"FMP.html#search_fundraising/1-required"},{"type":"function","title":"FMP.search_institutions/1","doc":"Search for institutions from the FMP API.","ref":"FMP.html#search_institutions/1"},{"type":"function","title":"Required - FMP.search_institutions/1","doc":"* `name` - The name of the institution to search for.","ref":"FMP.html#search_institutions/1-required"},{"type":"function","title":"FMP.search_mergers_and_acquisitions/1","doc":"Search for mergers and acquisitions from the FMP API.","ref":"FMP.html#search_mergers_and_acquisitions/1"},{"type":"function","title":"Required - FMP.search_mergers_and_acquisitions/1","doc":"* `name` - The name of the merger or acquisition to search for.","ref":"FMP.html#search_mergers_and_acquisitions/1-required"},{"type":"function","title":"FMP.search_name/2","doc":"Search via company name from the FMP API.","ref":"FMP.html#search_name/2"},{"type":"function","title":"Required - FMP.search_name/2","doc":"* `query` - The query to search for.","ref":"FMP.html#search_name/2-required"},{"type":"function","title":"Optional - FMP.search_name/2","doc":"* `limit` - The number of results to return.\n* `exchange` - The exchange to search in.","ref":"FMP.html#search_name/2-optional"},{"type":"function","title":"FMP.search_ticker/2","doc":"Search via ticker from the FMP API.","ref":"FMP.html#search_ticker/2"},{"type":"function","title":"Required - FMP.search_ticker/2","doc":"* `query` - The query to search for.","ref":"FMP.html#search_ticker/2-required"},{"type":"function","title":"Optional - FMP.search_ticker/2","doc":"* `limit` - The number of results to return.\n* `exchange` - The exchange to search in.","ref":"FMP.html#search_ticker/2-optional"},{"type":"function","title":"FMP.sec_filings/2","doc":"Fetches the list of sec filings of a company from the FMP API.","ref":"FMP.html#sec_filings/2"},{"type":"function","title":"Required - FMP.sec_filings/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#sec_filings/2-required"},{"type":"function","title":"Optional - FMP.sec_filings/2","doc":"* `type` - The type of the filing.\n* `page` - The page number.","ref":"FMP.html#sec_filings/2-optional"},{"type":"function","title":"FMP.sectors_performance/0","doc":"Fetches sectors performance from the FMP API.","ref":"FMP.html#sectors_performance/0"},{"type":"function","title":"FMP.sectors_performance_historical/1","doc":"Fetches historical sectors performance from the FMP API.","ref":"FMP.html#sectors_performance_historical/1"},{"type":"function","title":"Optional - FMP.sectors_performance_historical/1","doc":"* `limit` - The limit of the historical sectors performance.","ref":"FMP.html#sectors_performance_historical/1-optional"},{"type":"function","title":"FMP.senate_disclosures/1","doc":"Fetches a list of senate disclosures for a symbol from the FMP API.","ref":"FMP.html#senate_disclosures/1"},{"type":"function","title":"Required - FMP.senate_disclosures/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#senate_disclosures/1-required"},{"type":"function","title":"FMP.senate_trading/1","doc":"Fetches a list of senate trading for a symbol from the FMP API.","ref":"FMP.html#senate_trading/1"},{"type":"function","title":"Required - FMP.senate_trading/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#senate_trading/1-required"},{"type":"function","title":"FMP.shares_float/1","doc":"Fetches a company's shares float from the FMP API.","ref":"FMP.html#shares_float/1"},{"type":"function","title":"Required - FMP.shares_float/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#shares_float/1-required"},{"type":"function","title":"FMP.sic_all/0","doc":"Fetches all SIC information from the FMP API.","ref":"FMP.html#sic_all/0"},{"type":"function","title":"FMP.sic_by_cik/1","doc":"Fetches a company's SIC information using CIK from the FMP API.","ref":"FMP.html#sic_by_cik/1"},{"type":"function","title":"Required - FMP.sic_by_cik/1","doc":"* `cik` - The CIK of the company.","ref":"FMP.html#sic_by_cik/1-required"},{"type":"function","title":"FMP.sic_by_code/1","doc":"Fetches SIC information for SIC code from the FMP API.","ref":"FMP.html#sic_by_code/1"},{"type":"function","title":"Required - FMP.sic_by_code/1","doc":"* `sic_code` - The SIC code to fetch information for.","ref":"FMP.html#sic_by_code/1-required"},{"type":"function","title":"FMP.sic_by_symbol/1","doc":"Fetches a company's SIC information using symbol from the FMP API.","ref":"FMP.html#sic_by_symbol/1"},{"type":"function","title":"Required - FMP.sic_by_symbol/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#sic_by_symbol/1-required"},{"type":"function","title":"FMP.sic_list/1","doc":"Fetches a list of SIC codes from the FMP API.","ref":"FMP.html#sic_list/1"},{"type":"function","title":"Optional - FMP.sic_list/1","doc":"* `industry` - The industry to fetch SIC codes for.\n* `sicCode` - The SIC code to fetch information for.","ref":"FMP.html#sic_list/1-optional"},{"type":"function","title":"FMP.social_sentiment/2","doc":"Fetches a company's social sentiment from the FMP API.","ref":"FMP.html#social_sentiment/2"},{"type":"function","title":"Required - FMP.social_sentiment/2","doc":"* `symbol` - The symbol of the company.\n* `page` - The page of the results to fetch.","ref":"FMP.html#social_sentiment/2-required"},{"type":"function","title":"FMP.stock_grade/2","doc":"Fetches a company's stock grade from the FMP API.","ref":"FMP.html#stock_grade/2"},{"type":"function","title":"Required - FMP.stock_grade/2","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#stock_grade/2-required"},{"type":"function","title":"Paramaters - FMP.stock_grade/2","doc":"* `limit` - The number of results to return.","ref":"FMP.html#stock_grade/2-paramaters"},{"type":"function","title":"FMP.stock_split_calendar/1","doc":"Fetches the stock split calendar from the FMP API.","ref":"FMP.html#stock_split_calendar/1"},{"type":"function","title":"Optional - FMP.stock_split_calendar/1","doc":"* `from` - The start date of the stock split calendar.\n* `to` - The end date of the stock split calendar.","ref":"FMP.html#stock_split_calendar/1-optional"},{"type":"function","title":"FMP.stock_splits/1","doc":"Fetches a company's historical stock splits from the FMP API.","ref":"FMP.html#stock_splits/1"},{"type":"function","title":"Required - FMP.stock_splits/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#stock_splits/1-required"},{"type":"function","title":"FMP.symbol_changes/0","doc":"Fetches the symbol changes from the FMP API.","ref":"FMP.html#symbol_changes/0"},{"type":"function","title":"FMP.symbols/0","doc":"Fetches the symbols of all companies from the FMP API.","ref":"FMP.html#symbols/0"},{"type":"function","title":"FMP.symbols_commodities/0","doc":"Fetches the symbols of all commodities from the FMP API.","ref":"FMP.html#symbols_commodities/0"},{"type":"function","title":"FMP.symbols_crypto/0","doc":"Fetches the symbols of all crypto currencies from the FMP API.","ref":"FMP.html#symbols_crypto/0"},{"type":"function","title":"FMP.symbols_euronext/0","doc":"Fetches the symbols of all euro next companies from the FMP API.","ref":"FMP.html#symbols_euronext/0"},{"type":"function","title":"FMP.symbols_exchanges/0","doc":"Fetches the symbols of all tradable companies from the FMP API.","ref":"FMP.html#symbols_exchanges/0"},{"type":"function","title":"FMP.symbols_forex/0","doc":"Fetches the symbols of all forex currencies from the FMP API.","ref":"FMP.html#symbols_forex/0"},{"type":"function","title":"FMP.symbols_indexes/0","doc":"Fetches the symbols of all indexes from the FMP API.","ref":"FMP.html#symbols_indexes/0"},{"type":"function","title":"FMP.symbols_tsx/0","doc":"Fetches the symbols of all TSX companies from the FMP API.","ref":"FMP.html#symbols_tsx/0"},{"type":"function","title":"FMP.technical_indicator/3","doc":"Fetches a company's technical indicator from the FMP API.","ref":"FMP.html#technical_indicator/3"},{"type":"function","title":"Required - FMP.technical_indicator/3","doc":"* `symbol` - The symbol of the company.\n* `interval` - The interval of the technical indicator.","ref":"FMP.html#technical_indicator/3-required"},{"type":"function","title":"Optional - FMP.technical_indicator/3","doc":"* `period` - The period of the technical indicator.\n* `type` - The series type of the technical indicator.","ref":"FMP.html#technical_indicator/3-optional"},{"type":"function","title":"FMP.top_active/0","doc":"Fetches most active stocks from the FMP API.","ref":"FMP.html#top_active/0"},{"type":"function","title":"FMP.top_gainers/0","doc":"Fetches top gainers from the FMP API.","ref":"FMP.html#top_gainers/0"},{"type":"function","title":"FMP.top_losers/0","doc":"Fetches top losers from the FMP API.","ref":"FMP.html#top_losers/0"},{"type":"function","title":"FMP.trading_hours/0","doc":"Fetches the trading hours for the current year from the FMP API.","ref":"FMP.html#trading_hours/0"},{"type":"function","title":"FMP.treasury_rates/1","doc":"Fetches treasury rates from the FMP API.","ref":"FMP.html#treasury_rates/1"},{"type":"function","title":"Optional - FMP.treasury_rates/1","doc":"* `from` - The start date of the treasury rates.\n* `to` - The end date of the treasury rates.","ref":"FMP.html#treasury_rates/1-optional"},{"type":"function","title":"FMP.upgrades_and_downgrades/1","doc":"Fetches a company's upgrades and downgrades from the FMP API.","ref":"FMP.html#upgrades_and_downgrades/1"},{"type":"function","title":"Required - FMP.upgrades_and_downgrades/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#upgrades_and_downgrades/1-required"},{"type":"function","title":"FMP.upgrades_and_downgrades_by_company/1","doc":"Fetches a list of upgrades and downgrades by an analyst company from the FMP API.","ref":"FMP.html#upgrades_and_downgrades_by_company/1"},{"type":"function","title":"Required - FMP.upgrades_and_downgrades_by_company/1","doc":"* `company` - The name of the analyst company.","ref":"FMP.html#upgrades_and_downgrades_by_company/1-required"},{"type":"function","title":"FMP.upgrades_and_downgrades_consenus/1","doc":"Fetches a company's upgrades and downgrades consensus from the FMP API.","ref":"FMP.html#upgrades_and_downgrades_consenus/1"},{"type":"function","title":"Required - FMP.upgrades_and_downgrades_consenus/1","doc":"* `symbol` - The symbol of the company.","ref":"FMP.html#upgrades_and_downgrades_consenus/1-required"}],"content_type":"text/markdown"}